Bug 200448 - DomU don't find LVM at startup
DomU don't find LVM at startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Quintela
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-27 15:06 EDT by Juan Quintela
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-13 16:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Quintela 2006-07-27 15:06:23 EDT
Description of problem:

Starting a domU with storage on LVM fails to start some times.  It complains
that it didn't find the LVM group.  You retry, and normally the second time it
works.  It has been seen to fail 5 times in a row.  It only happens sometimes.

Version-Release number of selected component (if applicable):

All FC6texs releases to the date.

How reproducible:

Only happens sometimes.  I guess that there is a race in the connection between
xenblk and xenbus.  But it is just a guess.


Steps to Reproduce:

Start a domU guest, 
  
Actual results:

Guest is not started.

Expected results:

Guest start.

Additional info:
Comment 1 Stephen Tweedie 2006-07-27 21:42:21 EDT
It happens more than 80% of the time for me.


Note You need to log in before you can comment on or make changes to this bug.